Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.tibco.bpm.web.client.model.types
Class WorkListItemBase

    java.lang.Object
      com.tibco.bpm.web.client.model.types.WorkListItemBase

All Implemented Interfaces:
  com.google.gwt.user.client.rpc.IsSerializable

Direct Known Subclasses:
  WorkListItem2

    public class WorkListItemBase

extends java.lang.Object
implements com.google.gwt.user.client.rpc.IsSerializable

Base class for storing WorkListItem It stores all except Attributes

©2013 TIBCO Software Inc.

Since:
  3.0

Constructor Summary
`WorkListItemBase()`

Method Summary
`java.lang.String` | `getActivityID()`
`java.lang.String` | `getActivityName()`
`java.lang.String` | `getAllocationMethod()`
`java.lang.String` | `getAppID()`
`java.lang.String` | `getAppInstanceDescription()`
`java.lang.String` | `getAppInstanceID()`
`java.lang.String` | `getAppName()`
`java.lang.String` | `getDescription()`
`java.util.Date` | `getEndDate()`
`long` | `getGroupID()`
`long` | `getId()`
`java.lang.String` | `getName()`
`int` | `getPriority()`
`java.lang.String` | `getScheduleStatus()`
`java.util.Date` | `getStartDate()`
`java.lang.String` | `getState()`
`long` | `getVersion()`
`java.lang.String` | `getWorkTypeDescription()`
`java.lang.String` | `getWorkTypeID()`
`java.lang.String` | `getWorkTypeVersion()`
`boolean` | `isDeadline()`
`boolean` | `isVisible()`
`void` | `setActivityID(java.lang.String activityID)`
`void` | `setActivityName(java.lang.String activityName)`
`void` | `setAllocationMethod(java.lang.String allocationMethod)`
`void` | `setAppID(java.lang.String appID)`
`void` | `setAppInstanceDescription(java.lang.String appInstanceDescription)`
`void` | `setAppInstanceID(java.lang.String appInstanceID)`
`void` | `setAppName(java.lang.String appName)`
`void` | `setDeadline(boolean deadline)`
`void` | `setDescription(java.lang.String description)`
`void` | `setEndDate(java.util.Date endDate)`
`void` | `setGroupID(long groupID)`
`void` | `setId(long id)`
`void` | `setName(java.lang.String name)`
`void` | `setPriority(int priority)`
`void` | `setScheduleStatus(java.lang.String scheduleStatus)`
`void` | `setStartDate(java.util.Date startDate)`
`void` | `setState(java.lang.String state)`
`void` | `setVersion(long version)`
`void` | `setVisible(boolean visible)`
`void` | `setWorkTypeDescription(java.lang.String workTypeDescription)`
`void` | `setWorkTypeID(java.lang.String workTypeID)`
`void` | `setWorkTypeVersion(java.lang.String workTypeVersion)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### WorkListItemBase

    public WorkListItemBase()

Method Detail

### getAllocationMethod

    public java.lang.String getAllocationMethod()

### setAllocationMethod

    public void setAllocationMethod(java.lang.String allocationMethod)

### getState

    public java.lang.String getState()

### setState

    public void setState(java.lang.String state)

### getPriority

    public int getPriority()

### setPriority

    public void setPriority(int priority)

### getDescription

    public java.lang.String getDescription()

### setDescription

    public void setDescription(java.lang.String description)

### getName

    public java.lang.String getName()

### setName

    public void setName(java.lang.String name)

### getAppInstanceID

    public java.lang.String getAppInstanceID()

### setAppInstanceID

    public void setAppInstanceID(java.lang.String appInstanceID)

### getStartDate

    public java.util.Date getStartDate()

### setStartDate

    public void setStartDate(java.util.Date startDate)

### getEndDate

    public java.util.Date getEndDate()

### setEndDate

    public void setEndDate(java.util.Date endDate)

### getId

    public long getId()

### setId

    public void setId(long id)

### getVersion

    public long getVersion()

### setVersion

    public void setVersion(long version)

### getAppInstanceDescription

    public java.lang.String getAppInstanceDescription()

### setAppInstanceDescription

    public void setAppInstanceDescription(java.lang.String appInstanceDescription)

### isVisible

    public boolean isVisible()

### setVisible

    public void setVisible(boolean visible)

### isDeadline

    public boolean isDeadline()

### setDeadline

    public void setDeadline(boolean deadline)

### getWorkTypeVersion

    public java.lang.String getWorkTypeVersion()

### setWorkTypeVersion

    public void setWorkTypeVersion(java.lang.String workTypeVersion)

### getAppID

    public java.lang.String getAppID()

### setAppID

    public void setAppID(java.lang.String appID)

### getActivityID

    public java.lang.String getActivityID()

### setActivityID

    public void setActivityID(java.lang.String activityID)

### getActivityName

    public java.lang.String getActivityName()

### setActivityName

    public void setActivityName(java.lang.String activityName)

### getAppName

    public java.lang.String getAppName()

### setAppName

    public void setAppName(java.lang.String appName)

### getWorkTypeDescription

    public java.lang.String getWorkTypeDescription()

### setWorkTypeDescription

    public void setWorkTypeDescription(java.lang.String workTypeDescription)

### getWorkTypeID

    public java.lang.String getWorkTypeID()

### setWorkTypeID

    public void setWorkTypeID(java.lang.String workTypeID)

### getScheduleStatus

    public java.lang.String getScheduleStatus()

### setScheduleStatus

    public void setScheduleStatus(java.lang.String scheduleStatus)

### getGroupID

    public long getGroupID()

### setGroupID

    public void setGroupID(long groupID)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2015 TIBCO Software Inc. All Rights Reserved.